Amplifying your potential.

Failed to open Source file at line 61 and 238

Node-based Shader Editor
2 posts • Page 1 of 1

Failed to open Source file at line 61 and 238

Postby burning01 » Fri Nov 09, 2018 12:37 pm

Hello, I have just got your amplify shader editor and have been trying to get it setup properly...

I was using unity 2018.2.14f1

I am now using Unity 2018.2.15f1

The problem is the same in both...

I am using the Lightweight Render Pipeline

on inporting the asset, there are a bunch of errors (60)

All seem to start with
Code: Select all
Shader properties can't be added to this global property sheet. Trying to ad


for example the first one is
Code: Select all
Shader properties can't be added to this global property sheet. Trying to add _GrabTexture (type 3 count 1)UnityEditor.AssetPreviewUpdater:CreatePreviewForAsset(Object, Object[], String)


I tried just clearing the errors, but it seems things are broken for example I need to install the LWSRPTemplates.unitypackage - but it doesnt have a proper icon and doesnt seem to work as intended.

The package does extract but with more errors...

Code: Select all
Shader error in 'Hidden/Templates/LightWeightSRPUnlit': failed to open source file: 'Packages/com.unity.render-pipelines.lightweight/ShaderLibrary/Core.hlsl' at line 52 (on d3d11)


Code: Select all
Shader error in 'Hidden/Templates/LightWeightSRPPBR': failed to open source file: 'Packages/com.unity.render-pipelines.lightweight/ShaderLibrary/Core.hlsl' at line 67 (on d3d11)


I still tried to make a shader and just plugged a colour node in to the albedo as lightweight pipeline and I get the following error..

Code: Select all
Shader error in 'Test Substance': failed to open source file: 'Packages/com.unity.render-pipelines.lightweight/ShaderLibrary/Core.hlsl' at line 238 (on d3d11)


This only seems to be happening on the lightweight render pipeline, if I put ASE in standard surface shader mode that works fine.

any help to get this working would be great

thanks in advance for your time and effort

p.s I have also downloaded and reinstalled the asset several times without any luck
Attachments
ASEissue01.png
as you can see the file type is not being recognised
ASEissue01.png (7.71 KiB) Viewed 19 times
burning01
 
Posts: 1
Joined: Fri Nov 09, 2018 12:13 pm

Re: Failed to open Source file at line 61 and 238

Postby Amplify_Borba » Fri Nov 09, 2018 2:38 pm

Hello, thank you for getting in touch and for your support!

Regarding the issue you've encountered, we provide two distinct packages for each template, LW or HD, that are compatible with different SRP versions. We've had to offer distinct templates due to the extensive internal changes that have occurred between versions 3.0.0 and 4.0.0+.

After importing and installing the LWRP through Unity's Package Manager, extract only one of the following template packages that are located within the Assets > AmplifyShaderEditor > Plugins > EditorResources > Templates > SRP folder:

- LWSRPTemplates (Legacy).unitypackage for LW RP 3.0.0 and below
- LWSRPTemplates.unitypackage for LW RP 4.0.0 and above

I assume you're on the 3.0.0 judging from the Unity version you're using.

Please let me know if this helps!
Customer Relations at Amplify Creations
Learn more about our offering: Amplify Creations Products
Amplify Shader Editor won the Asset Store Best Tool Award - Thank you for your support!
User avatar
Amplify_Borba
 
Posts: 831
Joined: Mon Jul 24, 2017 9:50 am


2 posts • Page 1 of 1

Return to Amplify Shader Editor

Who is online

Users browsing this forum: No registered users and 2 guests